﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="Scriptmanager1" runat="server" />
	<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
		<script type="text/javascript">
			Sys.Application.add_load(SetupRotator);

			function SetupRotator()
			{
				ResizeRotator();
				Sys.Application.remove_load(SetupRotator);
			}

			window.onresize = function () {
				delay(function () {
					ResizeRotator();
				}, 500);
			}

			function ResizeRotator() {
				// the ViewPort size of the browser's window is retrieved
				var windowSize = $telerik.getViewPortSize();
				// the available width is calculated and stored in a hidden field
				var availableSpace = windowSize.width - 30;
				var availableSpaceField = $get("<%=rotatorWidth.ClientID %>");
				availableSpaceField.value = availableSpace;

				// the current item index of RadRotator is stored in a hidden field
				var currentItemIndexField = $get("<%=currentItemIndex.ClientID %>");
				currentItemIndexField.value = getRotator().get_currentItem().get_index();
				// an AJAX request to the server is performed in order to set the new width of the rotator control
				$find("<%=RadAjaxManager1.ClientID%>").ajaxRequest("resize");
			}

			function OnResponseEnd(sender, args) {
				// the item index, stored in a hidden field, is used for persisting the current RadRotator item through the AJAX request
				var currentItemIndexField = $get("<%=currentItemIndex.ClientID %>");
				getRotator().set_currentItemIndex(currentItemIndexField.value);
			}

			function getRotator() {
				return $find("<%=RadRotator1.ClientID %>");
			}

			var delay = (function () {
				var timer = 0;
				return function (callback, ms) {
					clearTimeout(timer);
					timer = setTimeout(callback, ms);
				};
			})();
		</script>
	</telerik:RadCodeBlock>
	<telerik:RadAjaxManager runat="server" ID="RadAjaxManager1" OnAjaxRequest="RadAjaxManager1_AjaxRequest"
		ClientEvents-OnResponseEnd="OnResponseEnd">
		<AjaxSettings>
			<telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
				<UpdatedControls>
					<telerik:AjaxUpdatedControl ControlID="rotatorWidth" />
					<telerik:AjaxUpdatedControl ControlID="RadRotator1" />
				</UpdatedControls>
			</telerik:AjaxSetting>
		</AjaxSettings>
	</telerik:RadAjaxManager>
	<telerik:RadRotator ID="RadRotator1" runat="server" FrameDuration="3000" ScrollDirection="Left,Right"
		RotatorType="Buttons" Height="113px" ItemHeight="113px" Width="490px" ItemWidth="150px"
		Skin="Default" WrapFrames="false">
		<ItemTemplate>
			<img src="<%# ResolveUrl("images/" + Container.DataItem) %>" alt="" />
		</ItemTemplate>
	</telerik:RadRotator>
	<asp:HiddenField runat="server" ID="rotatorWidth" />
	<asp:HiddenField runat="server" ID="currentItemIndex" />
	</form>
</body>
</html>
